# module Mail::Parsers::Ragel::Ruby

### Constants

MACHINE_LIST

### Public Class Methods

parse(machine, string) click to toggle source

    # File lib/mail/parsers/ragel/ruby.rb, line 34
    def self.parse(machine, string)
      MACHINE_LIST[machine].parse(string)
    end

silence_warnings() { || ... } click to toggle source

    # File lib/mail/parsers/ragel/ruby.rb, line 5
    def self.silence_warnings
      old, $VERBOSE = $VERBOSE, nil
      yield
    ensure
      $VERBOSE = old
    end